apiVersion: v1
kind: ConfigMap
metadata:
  name: devopsapp-config
  labels:
    app: devopsapp
data:
  SPRING_JPA_PROPERTIES_HIBERNATE_DIALECT: org.hibernate.dialect.MySQL8Dialect
  SPRING_JPA_HIBERNATE_DDL_AUTO: update
  SPRING_DATASOURCE_URL: jdbc:mysql://sql-svc:3306/root
  SPRING_DATASOURCE_DRIVER_CLASS_NAME: com.mysql.jdbc.Driver
  JAVA_OPTS: "-Djava.net.preferIPv4Stack=true -Dspring.profiles.active=mysql"
  SPRING_DATASOURCE_USERNAME: root
  SPRING_DATASOURCE_PASSWORD: root
---
apiVersion: apps/v1beta2
kind: Deployment
metadata:
  name:  devopsapp
spec:
  replicas: 1
  selector:
    matchLabels:
      app: devopsapp
  template:
    metadata:
      labels:
        app: devopsapp        
    spec:
      containers:
      - name: devopsapp
        image: tamerdibsidocker/devops:7e01603c-20200430
        imagePullPolicy: Always
        envFrom:
          - configMapRef:
              name: devopsapp-config
        ports:
          - name: http
            containerPort: 8090
            protocol: TCP
        livenessProbe:
          httpGet:
            path: /actuator/health
            port: 8090
          initialDelaySeconds: 120
          periodSeconds: 120
          timeoutSeconds: 5
          failureThreshold: 5
        readinessProbe:
          httpGet:
            path: /actuator/health
            port: 8090
          initialDelaySeconds: 120
          periodSeconds: 5
          timeoutSeconds: 5
          failureThreshold: 5
        resources:
          requests:
            memory: "100Mi"
            cpu: "250m"
          limits:
            memory: "512Mi"
            cpu: "1"
---
apiVersion: v1
kind: Service
metadata:
  name: devopsapp
  labels:
    app: devopsapp
spec:
  ports:
  - name: http
    port: 8090
    targetPort: 8090
  selector:
    app: devopsapp